﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace wpf_TabControl_892832
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<TabViewModel> data;

        public MainWindow()
        {
            InitializeComponent();

            this.data = new ObservableCollection<TabViewModel> 
            {
                new TabViewModel { Header = "header 0", Content = "content 0", },
            };

            this.DataContext = this.data;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.data.Add(new TabViewModel { Header = "header" + this.data.Count, Content = "content" + this.data.Count });
        }
    }

    public class TabViewModel
    {
        public string Header { get; set; }
        public string Content { get; set; }
    }
}
